=== debian/changelog ===
gnuradio (3.8.0.0-7build3) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:01:18 +0000

gnuradio (3.8.0.0-7build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:29:15 +0000

gnuradio (3.8.0.0-7build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:08:13 +0000

gnuradio (3.8.0.0-7) unstable; urgency=medium

  * update to v3.8.0.0-79-gf87f2dbab
  * build with volk 2.1 and uhd 3.15.0.0

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 06 Jan 2020 19:19:37 -0500

gnuradio (3.8.0.0-6) unstable; urgency=medium

  * update to v3.8.0.0-41-g2f5c81d555
  * gnuradio-dev depends upon libgmp-dev, thanks vorlon! (Closes: #943965)
  * gnuradio depends upon gir1.2-gtk-3.0, thanks kc0bfv!
    (Closes: #943778, #943864)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Nov 2019 00:05:28 -0500

gnuradio (3.8.0.0-5) unstable; urgency=medium

  * grcc from gnuradio 3.8 no longer adds timestamps (Closes: #914252)
  * depend upon python3-pyqtgraph for gr_filter_design (Closes: #926790)
  * add depends for canberra modules (Closes: #921377)
  * Use .bcep file to keep gr_modtool template un-bytecompiled.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 30 Aug 2019 20:21:31 -0400

gnuradio (3.8.0.0-4) unstable; urgency=medium

  * limit architectures for thrift availability

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Aug 2019 12:25:47 -0400

gnuradio (3.8.0.0-3) unstable; urgency=medium

  * update to v3.8.0.0-14-gcfefe6e0ba
  * update package references: libvolk1-bin => libvolk2-bin (Closes: #935417)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 22 Aug 2019 20:28:52 -0400

gnuradio (3.8.0.0-2) unstable; urgency=medium

  * update dependencies
  * build for Python3 (Closes: #912960, #885294)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 12 Aug 2019 22:30:03 -0400

gnuradio (3.8.0.0-1) experimental; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 09 Aug 2019 19:18:15 -0400
